org.apache.tinkerpop.gremlin.neo4j.structure

## Class Neo4jGraph.Neo4jGraphFeatures.Neo4jGraphGraphFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jGraph.Neo4jGraphFeatures.Neo4jGraphGraphFeatures

- All Implemented Interfaces:
    Graph.Features.FeatureSet, Graph.Features.GraphFeatures
  Enclosing class:
    Neo4jGraph.Neo4jGraphFeatures

      public class Neo4jGraph.Neo4jGraphFeatures.Neo4jGraphGraphFeatures
      extends Object
      implements Graph.Features.GraphFeatures

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.GraphFeatures

      `FEATURE_COMPUTER, FEATURE_CONCURRENT_ACCESS, FEATURE_IO_READ, FEATURE_IO_WRITE, FEATURE_PERSISTENCE, FEATURE_THREADED_TRANSACTIONS, FEATURE_TRANSACTIONS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsComputer()` Determines if the `Graph` implementation supports `GraphComputer` based processing.
    `boolean` | `supportsConcurrentAccess()` Determines if the `Graph` implementation supports more than one connection to the same instance at the same time.
    `boolean` | `supportsThreadedTransactions()` Determines if the `Graph` implementation supports threaded transactions which allow a transaction to be executed across multiple threads via `Transaction.createThreadedTx()`.
    `Graph.Features.VariableFeatures` | `variables()` Gets the features related to "graph sideEffects" operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.GraphFeatures

      `supportsIoRead, supportsIoWrite, supportsPersistence, supportsTransactions`

- - ### Method Detail

    - #### supportsConcurrentAccess

          public boolean supportsConcurrentAccess()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports more than one connection to the same instance at the same time. For example, Neo4j embedded does not support this feature because concurrent access to the same database files by multiple instances is not possible. However, Neo4j HA could support this feature as each new `Graph` instance coordinates with the Neo4j cluster allowing multiple instances to operate on the same database.
      Specified by:
        `supportsConcurrentAccess` in interface `Graph.Features.GraphFeatures`

    - #### supportsComputer

          public boolean supportsComputer()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports `GraphComputer` based processing.
      Specified by:
        `supportsComputer` in interface `Graph.Features.GraphFeatures`

    - #### variables

          public Graph.Features.VariableFeatures variables()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Gets the features related to "graph sideEffects" operation.
      Specified by:
        `variables` in interface `Graph.Features.GraphFeatures`

    - #### supportsThreadedTransactions

          public boolean supportsThreadedTransactions()

      Description copied from interface: `Graph.Features.GraphFeatures`
      Determines if the `Graph` implementation supports threaded transactions which allow a transaction to be executed across multiple threads via `Transaction.createThreadedTx()`.
      Specified by:
        `supportsThreadedTransactions` in interface `Graph.Features.GraphFeatures`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.